package org.kropp.index;

import org.exist.storage.store.BFile;

public interface Index extends net.sf.xanswer.indexing.IndexApi {
	public void add(IndexNode node);
	
	public String getFilename();
	
	public BFile getParentIndex();
	
	public BFile getPreorderIndex();
	
	public BFile getPostorderIndex();
	
	public BFile getDataFile();
	
	public boolean isLoaded();
	
	public void flush();
	
	public void delete();
}