package org.kropp.index;

import org.dbxml.core.data.Value;
import org.exist.util.ByteArray;

public interface IndexNode {
	public Value getPreorderKey();
	public Value getPostorderKey();
	public Value getParentKey();

	public ByteArray getValue();
	public ByteArray getNodeNameByteArray();

	public int getPreorder();
	public int getPostorder();
	public void setPostorder(int postorder);
	public void appendNodeValue(String text);
	public boolean isAttribute();
	public String getNodeName();
}
