package org.kropp.index;

import java.util.List;


public interface Query {
	public List<Condition> getConditions();
	
	public enum Axis {
		CHILD,
		DESCENDANT,
		DESCENDANT_OR_SELF,
		PARENT,
		ANCESTOR,
		ANCESTOR_OR_SELF,
		FOLLOWING,
		FOLLOWING_SIBLING,
		PRECEDING,
		PRECEDING_SIBLING,
		ATTRIBUTE
	}
}